您的位置:首页 > 其它

02-02 控制AutoCAD环境(二) 控制图形窗口(2)缩放和平移当前视图

2011-07-02 19:24 549 查看

2、Zoomand Pan the Current View缩放和平移当前视图

A view is a specific magnification,position, and orientation of a drawing in the drawing window. You change a viewof a drawing by changing the height, width and center point of the currentview. Increasing or decreasing the width or height of a view affects the sizein which a drawing is displayed. Panning a view is done by adjusting the centerof the current view. For more information on zooming in AutoCAD, see “ChangeViews” in the AutoCAD User's Guide. 视图是图形窗口中具有指定比例、位置、方向的图形。通过改变当前视图的高、宽及中心点位置,我们可以改变图形的视图。增大或减小视图的宽度或高度会影响图形显示的大小。通过调整当前视图的中心位置可以平移视图。关于AutoCAD中图形缩放的更多信息,见AutoCAD用户指南的“改变视图”。Topics in this section本节主题· Manipulate the Current View 操作当前视图· Define to Window 定义缩放窗口· Scale a View 按比例缩放视图· Center Objects 居中显示对象· Display Drawing Extents and Limits 显示图形范围和界限

2.1、Manipulatethe Current View操作当前视图

You access the current view of a viewportin Model or Paper space by using the GetCurrentView method of the Editor object. The GetCurrentView method returns a ViewTableRecord object.You use the ViewTableRecord object to manipulate the magnification, position,and orientation of the view in the active viewport. Once the ViewTableRecordobject has been changed, you update the current view of the active viewportwith the SetCurrentView method. 我们通过调用Editor对象的GetCurrentView方法来访问模型空间或图纸空间中视口的当前视图。GetCurrentView方法返回ViewTableRecord对象。我们就用ViewTableRecord对象来操作活动视口中视图的缩放、位置及方向。一旦修改了ViewTableRecord对象,我们就可以调用SetCurrentView方法来更新活动视口中的当前视图。 Some of the common properties that youwill use to manipulate the current view are: 用来操作当前视图的常用属性:· CenterPoint - Center point of a view in DCScoordinates. DCS(显示坐标系)坐标系中视图的中心点;· Height - Height of a view in DCS coordinates.Increase the height to zoom out; decrease the height to zoom in. DCS坐标系中视图的高度,高度增加视图拉远,高度减小视图拉近;· Target - Target of a view in WCS coordinates. WCS坐标系中视图的目标;· ViewDirection - Vector from the target to the camera ofa view in WCS coordinates. WCS坐标系中视图目标到视图观察点的向量;· ViewTwist - Twist angle in radians of a view. 视图扭转角(弧度);· Width - Width of a view in DCS coordinates.Increase the width to zoom out; decrease the width to zoom in. DCS坐标系中视图的宽度,宽度增加视图拉远,宽度减小视图拉近;VBA Code Cross Reference VBA代码交叉参考The .NET API does not offer methods todirectly manipulate the current view of a drawing like those found in theActiveX Automation library. For example, if you want to zoom to the extents ofthe objects in a drawing or the limits of a drawing, you must manipulate the Width, Height and CenterPoint properties of the current view. To getthe extents of limits of a drawing, you use the Extmin, Extmax, Limmin, and Limmax properties of the Database object. AutoCAD .NET API并没有提供像在ActiveX Automation库里看到的直接操作图形当前视图的方法。例如,如果想要对准图形中对象的范围或对准图形界限,我们必须操作当前视图的Width、 Height及CenterPoint属性。要获取图形界限范围,我们用Database对象的Extmin、Extmax、 Limmin及 Limmax属性。Function used to manipulate the currentview 用来操作当前视图的函数This example code is a common procedurethat is used by later examples. The Zoom procedure accepts four parameters toaccomplish zooming to a boundary, panning or centering the view of a drawing,and scaling the view of a drawing by a given factor. The Zoom procedure expectsall coordinate values to be provided in WCS coordinates. 本例代码是一个公共方法,后面的示例中将用到。Zoom方法接受4个参数,实现了对准界限、平移和剧终视图、按给定系数缩放视图等功能。Zoom方法要求所有坐标值为WCS坐标。The parameters of the Zoom procedure are: Zoom 方法的参数:· Minimum point - 3D point used to define the lower-leftcorner of the area to display.用来定义显示区域左下角的3D点; · Maximum point - 3D point used to define the upper-rightcorner of the area to display. 用来定义显示区域右上角的3D点;· Center point - 3D point used to define the center of aview. 用来定义视图中心的3D点;· Scale factor - Real number used to specify the scaleto increase or decrease the size of a view. 用来指定视图放大缩小比例的实数;
VB.NET ImportsAutodesk.AutoCAD.ApplicationServicesImportsAutodesk.AutoCAD.DatabaseServicesImportsAutodesk.AutoCAD.RuntimeImportsAutodesk.AutoCAD.Geometry Public Sub Zoom(ByValpMin As Point3d, ByVal pMax As Point3d, _ ByVal pCenter As Point3d, ByValdFactor As Double) ' Get the current document and database Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument Dim acCurDb As Database = acDoc.Database Dim nCurVport As Integer =System.Convert.ToInt32(Application.GetSystemVariable("CVPORT")) ' Get the extents of the current space whenno points ' or only a center point is provided ' Check to see if Model space is current If acCurDb.TileMode = True Then If pMin.Equals(New Point3d()) = True And_ pMax.Equals(New Point3d()) = TrueThen pMin = acCurDb.Extmin pMax = acCurDb.Extmax End If Else ' Check to see if Paper space is current If nCurVport = 1 Then If pMin.Equals(New Point3d()) = TrueAnd _ pMax.Equals(New Point3d()) = TrueThen pMin = acCurDb.Pextmin pMax = acCurDb.Pextmax End If Else ' Get the extents of Model space If pMin.Equals(New Point3d()) = TrueAnd _ pMax.Equals(New Point3d()) = TrueThen pMin = acCurDb.Extmin pMax = acCurDb.Extmax End If End If End If ' Start a transaction Using acTrans As Transaction =acCurDb.TransactionManager.StartTransaction() ' Get the current view Using acView As ViewTableRecord = acDoc.Editor.GetCurrentView() Dim eExtents As Extents3d ' Translate WCS coordinates to DCS Dim matWCS2DCS As Matrix3d matWCS2DCS =Matrix3d.PlaneToWorld(acView.ViewDirection) matWCS2DCS = Matrix3d.Displacement(acView.Target- Point3d.Origin) * matWCS2DCS matWCS2DCS =Matrix3d.Rotation(-acView.ViewTwist, _ acView.ViewDirection, _ acView.Target) * matWCS2DCS ' If a center point is specified, definethe ' min and max point of the extents ' for Center and Scale modes If pCenter.DistanceTo(Point3d.Origin)<> 0 Then pMin = New Point3d(pCenter.X -(acView.Width / 2), _ pCenter.Y -(acView.Height / 2), 0) pMax = New Point3d((acView.Width/ 2) + pCenter.X, _ (acView.Height/ 2) + pCenter.Y, 0) End If ' Create an extents object using aline Using acLine As Line = New Line(pMin,pMax) eExtents = NewExtents3d(acLine.Bounds.Value.MinPoint, _ acLine.Bounds.Value.MaxPoint) End Using ' Calculate the ratio between thewidth and height of the current view Dim dViewRatio As Double dViewRatio = (acView.Width /acView.Height) ' Tranform the extents of the view matWCS2DCS = matWCS2DCS.Inverse() eExtents.TransformBy(matWCS2DCS) Dim dWidth As Double Dim dHeight As Double Dim pNewCentPt As Point2d ' Check to see if a center point wasprovided (Center and Scale modes) If pCenter.DistanceTo(Point3d.Origin)<> 0 Then dWidth = acView.Width dHeight = acView.Height If dFactor = 0 Then pCenter =pCenter.TransformBy(matWCS2DCS) End If pNewCentPt = NewPoint2d(pCenter.X, pCenter.Y) Else ' Working in Window, Extentsand Limits mode ' Calculate the new width andheight of the current view dWidth = eExtents.MaxPoint.X -eExtents.MinPoint.X dHeight = eExtents.MaxPoint.Y -eExtents.MinPoint.Y ' Get the center of the view pNewCentPt = NewPoint2d(((eExtents.MaxPoint.X + eExtents.MinPoint.X) * 0.5), _ ((eExtents.MaxPoint.Y + eExtents.MinPoint.Y) * 0.5)) End If ' Check to see if the new width fitsin current window If dWidth > (dHeight * dViewRatio)Then dHeight = dWidth / dViewRatio ' Resize and scale the view If dFactor <> 0 Then acView.Height = dHeight * dFactor acView.Width = dWidth * dFactor End If ' Set the center of the view acView.CenterPoint = pNewCentPt ' Set the current view acDoc.Editor.SetCurrentView(acView) End Using ' Commit the changes acTrans.Commit() End UsingEnd Sub

C# usingAutodesk.AutoCAD.ApplicationServices;usingAutodesk.AutoCAD.DatabaseServices;usingAutodesk.AutoCAD.Runtime;using Autodesk.AutoCAD.Geometry; static voidZoom(Point3d pMin, Point3d pMax, Point3d pCenter, double dFactor){ // Get the current document and database获取当前文档及数据库 Document acDoc =Application.DocumentManager.MdiActiveDocument; Database acCurDb = acDoc.Database; int nCurVport =System.Convert.ToInt32(Application.GetSystemVariable("CVPORT")); // Get the extents of the current space nopoints // or only a center point is provided获取当前空间范围,不要提供点或只提供一个中心点 // Check to see if Model space is current检查当前是否为模型空间 if (acCurDb.TileMode == true) { if (pMin.Equals(new Point3d()) == true&& pMax.Equals(new Point3d()) == true) { pMin = acCurDb.Extmin; pMax = acCurDb.Extmax; } } else { // Check to see if Paper space is current检查当前是否为图纸空间 if (nCurVport == 1) { // Get the extents of Paper space获取图纸空间范围 if (pMin.Equals(new Point3d()) ==true && pMax.Equals(new Point3d()) ==true) { pMin = acCurDb.Pextmin; pMax = acCurDb.Pextmax; } } else { // Get the extents of Model space获取模型空间范围 if (pMin.Equals(new Point3d()) ==true && pMax.Equals(new Point3d()) ==true) { pMin = acCurDb.Extmin; pMax = acCurDb.Extmax; } } } // Start a transaction启动事务 using (Transaction acTrans =acCurDb.TransactionManager.StartTransaction()) { // Get the current view获取当前视图 using (ViewTableRecord acView =acDoc.Editor.GetCurrentView()) { Extents3d eExtents; // Translate WCS coordinates to DCS将WCS坐标变换为DCS坐标 Matrix3d matWCS2DCS; matWCS2DCS = Matrix3d.PlaneToWorld(acView.ViewDirection); matWCS2DCS =Matrix3d.Displacement(acView.Target - Point3d.Origin) * matWCS2DCS; matWCS2DCS =Matrix3d.Rotation(-acView.ViewTwist, acView.ViewDirection, acView.Target) * matWCS2DCS; // If a center point is specified,define the min and max // point of the extents // for Center and Scale modes//如果指定了中心点,就为中心模式和比例模式//设置显示范围的最小点和最大点; if(pCenter.DistanceTo(Point3d.Origin) != 0) { pMin = new Point3d(pCenter.X -(acView.Width / 2), pCenter.Y -(acView.Height / 2), 0); pMax = new Point3d((acView.Width/ 2) + pCenter.X, (acView.Height/ 2) + pCenter.Y, 0); } // Create an extents object using aline用直线创建范围对象; using (Line acLine = new Line(pMin,pMax)) { eExtents = newExtents3d(acLine.Bounds.Value.MinPoint, acLine.Bounds.Value.MaxPoint); } // Calculate the ratio between thewidth and height of the current view计算当前视图的宽高比 double dViewRatio; dViewRatio = (acView.Width /acView.Height); // Tranform the extents of the view变换视图范围 matWCS2DCS = matWCS2DCS.Inverse(); eExtents.TransformBy(matWCS2DCS); double dWidth; double dHeight; Point2d pNewCentPt; // Check to see if a center point wasprovided// (Center and Scalemodes)//检查是否提供了中心点(中心模式和比例模式) if(pCenter.DistanceTo(Point3d.Origin) != 0) { dWidth = acView.Width; dHeight = acView.Height; if (dFactor == 0) { pCenter =pCenter.TransformBy(matWCS2DCS); } pNewCentPt = newPoint2d(pCenter.X, pCenter.Y); } else // Working in Window, Extentsand Limits mode窗口、范围和界限模式下 { // Calculate the new width andheight of the current view //计算当前视图的宽高新值; dWidth = eExtents.MaxPoint.X -eExtents.MinPoint.X; dHeight = eExtents.MaxPoint.Y -eExtents.MinPoint.Y; // Get the center of the view获取视图中心点 pNewCentPt = newPoint2d(((eExtents.MaxPoint.X + eExtents.MinPoint.X) * 0.5), ((eExtents.MaxPoint.Y + eExtents.MinPoint.Y) * 0.5)); } // Check to see if the new width fitsin current window //检查宽度新值是否适于当前窗口 if (dWidth > (dHeight *dViewRatio)) dHeight = dWidth / dViewRatio; // Resize and scale the view调整视图大小; if (dFactor != 0) { acView.Height = dHeight *dFactor; acView.Width = dWidth * dFactor; } // Set the center of the view设置视图中心; acView.CenterPoint = pNewCentPt; // Set the current view更新当前视图; acDoc.Editor.SetCurrentView(acView); } // Commit the changes提交更改; acTrans.Commit(); }}

2.2、Defineto Window定义缩放窗口

In AutoCAD, you use the Window option ofthe ZOOM command to define the area of the drawing that should be displayed inthe drawing window. When you define the area to be displayed, the Width and Height properties of the current view areadjusted to match the area defined by the two points specified. Based on thespecified points, the CenterPoint property of the view is also moved. 在AutoCAD中,我们用缩放命令的窗口选项来定义要显示在图形窗口的图形区域。当我们通过指定两个点定义这样的显示区域时,当前视图的Width属性和Height属性会调整至与该区域相匹配,同时视图的CenterPoint属性也会移动到基于指定点的新位置。Zoom to an area defined by two points 缩放到两点定义的区域This example code demonstrates how to zoomto a defined area using the Zoom procedure defined under Manipulatethe Current View. The Zoom procedure is passed the coordinates(1.3,7.8,0) and (13.7,-2.6,0) for the first two arguments to define the area todisplay. 本例代码使用上一小节的Zoom方法定义一个区域,并演示如何缩放到该区域。显示区域通过将坐标(1.3,7.8,0)和(13.7,-2.6,0)传递给Zoom方法的前两个参数来定义。No new center point is needed, so a newPoint3d object is passed to the procedure. The last argument is used to scalethe new view. Scaling the view can be used to create a gap between the areadisplayed and the edge of the drawing window. 不需要新的中心点,所以传递给Zoom方法第三个参数为一个新声明的Point3d对象。Zoom方法的最后一个参数用来按比例缩放新视图。按比例缩放视图可以用来在显示区域和图形窗口间形成间隔。
VB.NET <CommandMethod("ZoomWindow")>_Public SubZoomWindow() ' Zoom to a window boundary defined by1.3,7.8 and 13.7,-2.6 Dim pMin As Point3d = New Point3d(1.3, 7.8,0) Dim pMax As Point3d = New Point3d(13.7, -2.6,0) Zoom(pMin, pMax, New Point3d(), 1)End SubC# [CommandMethod("ZoomWindow")]static public voidZoomWindow(){ // Zoom to a window boundary defined by1.3,7.8 and 13.7,-2.6 //缩放到由点(1.3, 7.8)和点(13.7, -2.6)定义的窗口边界; Point3d pMin = new Point3d(1.3, 7.8, 0); Point3d pMax = new Point3d(13.7, -2.6, 0); Zoom(pMin, pMax, new Point3d(), 1);} VBA/ActiveX Code Reference VBA/ActiveX代码参考Sub ZoomWindow() Dim point1(0 To 2) As Double Dim point2(0 To 2) As Double point1(0) = 1.3: point1(1) = 7.8: point1(2)= 0 point2(0) = 13.7: point2(1) = -2.6:point2(2) = 0 ThisDrawing.Application.ZoomWindow point1,point2End Sub

2.3、Scalea View按比例缩放视图

If you need to increase or decrease themagnification of the image in the drawing window, you change the Width and Height properties of the current view. Whenresizing a view, make sure to change the Width and Height properties by the same factor. The scalefactor you calculate when resizing the current view will commonly be based onone of the following situations: 如果我们需要增大或减小图形窗口中图像的放大倍数,我们可以修改当前视图的Width属性和 Height属性。改变视图大小时,应确保用相同的比例系数修改Width属性和 Height属性。改变当前视图大小时计算的比例系数通常基于下列情形:· Relative to the drawing limits 相对于图形界限;· Relative to the current view 相对于当前视图· Relative to paper space units 相对于图纸看见单位;Zoom in on the active drawing using aspecified scale 用指定比例缩放活动图形This example code demonstrates how toreduce the current view by 50% using the Zoom procedure defined under Manipulatethe Current View. 本例代码演示怎样使用前面定义的Zoom方法将当前视图缩小50%。While the Zoom procedure is passed a totalof four values, the first two are new 3D points which are not used. The thirdvalue passed is the center point to use in resizing the view and the last valuepassed is the scale factor to use in resizing the view. Zoom方法总共需要4个参数,头两个为新声明的3D点,本例没用,第三个值为用来调整视图大小的中心点,最后一个为用来调整视图大小的比例系数。VB.NET <CommandMethod("ZoomScale")>_Public SubZoomScale() ' Get the current document Dim acDoc As Document =Application.DocumentManager.MdiActiveDocument ' Get the current view Using acView As ViewTableRecord =acDoc.Editor.GetCurrentView() ' Get the center of the current view Dim pCenter As Point3d = NewPoint3d(acView.CenterPoint.X, _ acView.CenterPoint.Y, 0) ' Set the scale factor to use Dim dScale As Double = 0.5 ' Scale the view using the center of thecurrent view Zoom(New Point3d(), New Point3d(),pCenter, 1 / dScale) End UsingEnd SubC# [CommandMethod("ZoomScale")]static public voidZoomScale(){ // Get the current document获取当前文档; Document acDoc =Application.DocumentManager.MdiActiveDocument; // Get the current view获取当前视图; using (ViewTableRecord acView =acDoc.Editor.GetCurrentView()) { //Get the center of the current view获取当前视图中心; Point3d pCenter = newPoint3d(acView.CenterPoint.X, acView.CenterPoint.Y, 0); // Set the scale factor to use设置比例系数; double dScale = 0.5; // Scale the view using the center of thecurrent view基于当前视图中心按比例缩放视图; Zoom(new Point3d(), new Point3d(),pCenter, 1 / dScale); }} VBA/ActiveX CodeReference Sub ZoomScale() Dim scalefactor As Double Dim scaletype As Integer scalefactor = 0.5 scaletype = acZoomScaledRelative ThisDrawing.Application.ZoomScaledscalefactor, scaletypeEnd Sub

2.4、CenterObjects居中显示对象

You can reposition the image in thedrawing window by changing the center point of a view using the CenterPoint property. When the center point of a viewis changed and the size of the view is not changed, the view is panned parallelto the screen. For information on resizing the image in the drawing window, seeScalea View. 我们可以通过用CenterPoint属性修改视图中心点来调整图形窗口中图像的位置。当修改视图中心点而不修改视图大小时,我们看到视图在平行于屏幕移动位置。Zoom in on the active drawing to aspecified center 缩放活动图形到指定中心点This example code demonstrates how tochange the center point of the current view using the Zoom procedure definedunder Manipulatethe Current View. 本例代码演示怎样使用Zoom方法修改当前视图的中心点。While the Zoom procedure is passed a totalof four values, the first two values are defined as new 3D points and areignored by the procedure. The third value is the point (5,5,0) to define thenew center point of the view and 1 is passed in for the last value to retainthe size of the current view. Zoom方法总共需要4个值,前两个为新声明的3D点并忽略掉,第三个值点(5, 5, 0)定义视图新的中心点,最后一个值传入1表示当前视图大小不变。VB.NET <CommandMethod("ZoomCenter")>_Public SubZoomCenter() ' Center the view at 5,5,0 Zoom(New Point3d(), New Point3d(), NewPoint3d(5, 5, 0), 1)End SubC# [CommandMethod("ZoomCenter")]static public voidZoomCenter(){ // Center the view at 5,5,0设置视图的中心点为(5,5,0); Zoom(new Point3d(), new Point3d(), newPoint3d(5, 5, 0), 1);}VBA/ActiveX CodeReference Sub ZoomCenter() Dim Center(0 To 2) As Double Dim magnification As Double Center(0) = 5: Center(1) = 5: Center(2) = 0 magnification = 1 ThisDrawing.Application.ZoomCenter Center,magnificationEnd Sub

2.5、DisplayDrawing Extents and Limits显示图形范围和界限

The extents or limits of a drawing areused to define the boundary in which the outermost objects appear in or the areadefined by the limits of the current space. See “Magnify a View (Zoom)” in the AutoCADUser's Guide for illustrations of how zooming works. 图形的范围或界限用来定义让最外边的对象都出现在里边的边界,或者由当前空间界限定义的区域。
Calculate the extents of the currentspace 计算当前空间的范围The extents of the current space can beaccessed from the Database object using the following properties: 当前空间的范围可以通过下列属性从数据库中获得:· Extmin and Extmax - Returns the extents of Model space.返回模型空间的范围; · Pextmin and Pextmax - Returns the extents of the current Paperspace layout.返回当前图纸空间布局的范围; Once the extents of the current space isobtained, you can calculate the new values for the Width and Height properties of the current view. The newwidth for the view is calculated using the following formula: 一旦获取当前空间的范围,我们就可以计算当前视图的Width属性值和Height属性值。视图新宽度值用下面公式计算:dWidth = MaxPoint.X -MinPoint.XThe new height for the view is calculatedusing the following formula: 视图新高度值用下面公式计算:dHeight = MaxPoint.Y- MinPoint.YAfter the width and height of the view arecalculated, the center point of the view can be calculated. The center point ofthe view can be obtained using the following formula: 计算出视图的宽度和高度,就可以计算视图的中心点。视图中心点坐标可以用下面的公式获得:dCenterX =(MaxPoint.X + MinPoint.X) * 0.5dCenterY =(MaxPoint.Y + MinPoint.Y) * 0.5
Calculate the limits of the currentspace 计算当前空间的界限To change the display of a drawing based on the limits ofthe current space, you use the Limmin and Limmax , and Plimmin and Plimmax properties of the Database object. Afterthe points that define the limits of the current space are returned, you canuse the previously mentioned formulas to calculate the width, height and centerpoints of the new view. 要基于当前空间界限修改图形显示,我们使用数据库对象的Limmin和Limmax、 Plimmin和 Plimmax这两对属性。定义当前空间界限的点返回后,我们就可以用前面提到的公式计算新视图的宽、高和中心点了。Zoom in to the extents and limits of thecurrent space 缩放到当前空间的范围和界限This example code demonstrates how todisplay the extents of limits of the current space using the Zoom proceduredefined under Manipulatethe Current View. 本例代码演示如何使用Zoom方法显示当前空间的范围和界限。While the Zoom procedure is passed a totalof four values, the first two values passed should be the points that definethe minimum and maximum points of the area to be displayed. The third value isdefined as a new 3D point and is ignored by the procedure, while the last valueis used to resize the image of the drawing so it is not completely fill theentire drawing window. Zoom方法的4个参数中,前两个为定义显示区域的最小点和最大点,第三个为新声明的3D点并被忽略,最后一个参数在图形没有完整填充整个图形窗口时用来调整图像的大小。VB.NET <CommandMethod("ZoomExtents")>_Public Sub ZoomExtents() ' Zoom to the extents of the current space Zoom(New Point3d(), New Point3d(), NewPoint3d(), 1.01075)End Sub <CommandMethod("ZoomLimits")>_Public SubZoomLimits() Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument Dim acCurDb As Database = acDoc.Database ' Zoom to the limits of Model space Zoom(New Point3d(acCurDb.Limmin.X,acCurDb.Limmin.Y, 0), _ New Point3d(acCurDb.Limmax.X,acCurDb.Limmax.Y, 0), _ New Point3d(), 1)End SubC# [CommandMethod("ZoomExtents")]static public voidZoomExtents(){ // Zoom to the extents of the current space缩放到当前空间的范围; Zoom(new Point3d(), new Point3d(), newPoint3d(), 1.01075);} [CommandMethod("ZoomLimits")]static public voidZoomLimits(){ Document acDoc =Application.DocumentManager.MdiActiveDocument; Database acCurDb = acDoc.Database; // Zoom to the limits of Model space缩放到模型空间的界限; Zoom(new Point3d(acCurDb.Limmin.X,acCurDb.Limmin.Y, 0), new Point3d(acCurDb.Limmax.X,acCurDb.Limmax.Y, 0), new Point3d(), 1);} VBA/ActiveX CodeReference Sub ZoomExtents() ThisDrawing.Application.ZoomExtentsEnd Sub Sub ZoomLimits() Dim point1(0 To 2) As Double Dim point2(0 To 2) As Double point1(0) =ThisDrawing.GetVariable("LIMMIN")(0) point1(1) =ThisDrawing.GetVariable("LIMMIN")(1) point1(2) = 0# point2(0) =ThisDrawing.GetVariable("LIMMAX")(0) point2(1) =ThisDrawing.GetVariable("LIMMAX")(1) point2(2) = 0# ThisDrawing.Application.ZoomWindow point1,point2End Sub
内容来自用户分享和网络整理,不保证内容的准确性,如有侵权内容,可联系管理员处理 点击这里给我发消息
标签: